﻿using Connected.Configuration.Authentication;
using Connected.Configuration.Endpoints;
using Microsoft.Extensions.Configuration;

namespace Connected.Configuration;

internal class ConfigurationService : IConfigurationService
{
	public ConfigurationService(IConfiguration configuration)
	{
		Endpoint = new EndpointConfiguration(configuration.GetSection("endpoint"));
		
		Storage = new StorageConfiguration(configuration.GetSection("storage"));
	}

	public IEndpointConfiguration Endpoint { get; }

	public IAuthenticationConfiguration Authentication => throw new NotImplementedException();
	public IStorageConfiguration Storage { get; }

	/*
	 * TODO: hardcoded
	 */
	public ProcessType Type => ProcessType.BackEnd;
}
